%feature("docstring") OTSVM::SVMKernelImplementation
"Base class for SVM kernels."

// ---------------------------------------------------------------------

%feature("docstring") OTSVM::SVMKernelImplementation::setParameter
"Parameter value accessor.

Parameters
----------
parameter : :class:`openturns.Point`
    Current parameter values
"

// ---------------------------------------------------------------------

%feature("docstring") OTSVM::SVMKernelImplementation::getParameter
"Parameter value accessor.

Returns
-------
parameter : :class:`openturns.Point`
    Current parameter values
"

// ---------------------------------------------------------------------

%feature("docstring") OTSVM::SVMKernelImplementation::getParameterDescription
"Parameter description accessor.

Returns
-------
description : :class:`openturns.Description`
    Parameter names
"

// ---------------------------------------------------------------------

%feature("docstring") OTSVM::SVMKernelImplementation::partialGradient
"Gradient wrt one variable.

Returns
-------
gradient : :class:`openturns.Point`
    Gradient value
"

// ---------------------------------------------------------------------

%feature("docstring") OTSVM::SVMKernelImplementation::partialHessian
"Gradient wrt one variable.

Returns
-------
hessian : :class:`openturns.SymmetricMatrix`
    Hessian value
"
